package routes

import (
	"github.com/gofiber/fiber/v2"
	"ulmer-furs.de/pretix-proxy/v2/app/controller"
	"ulmer-furs.de/pretix-proxy/v2/config"
)

func PrivateRoutes(app *fiber.App) {
	apiv1 := app.Group("/api/v1")
	event := apiv1.Group("/event")
	event.Use(config.JwtMiddleware)
	//app.Get("/events", controller.ReturnEventsTableView)
	event.Get("", controller.ReturnAllEvents)
	event.Get("/:id", controller.ReturnEventById)
	event.Delete("/:id", controller.DeleteEventById)
	event.Put("/:id", controller.UpdateEventById)
	event.Post("", controller.CreateEvent)
	role := apiv1.Group("/role")
	role.Use(config.JwtMiddleware)
	role.Get("", controller.ReturnAllRoles)
	role.Get("/:id", controller.ReturnRoleById)
	role.Delete("/:id", controller.DeleteRoleById)
	role.Put("/:id", controller.UpdateRoleById)
	role.Put("", controller.CreateRole)
	user := apiv1.Group("/user")
	user.Use(config.AuthMiddleware)
	user.Post("", controller.CreateUser)
}
