package routes

import (
	"github.com/gofiber/fiber/v2"
	"ulmer-furs.de/pretix-proxy/v2/app/controller"
)

func PublicRoutes(app *fiber.App) {
	ui := app.Group("/ui")
	attendiesUi := ui.Group("/attendies")
	attendiesUi.Get("/:name", controller.GetAttendiesByEventPublicTable)
	apiv1 := app.Group("/api/v1/public")
	attendies := apiv1.Group("/attendies")
	webhooks := apiv1.Group("/webhooks")
	webhooks.Post("/pretix/role_question", controller.PostPretixRoleQuestion)
	webhooks.Post("/pretix/role_product", controller.PostPretixRoleProduct)
	webhooks.Post("/pretix/subproduct", controller.PostPretixRegularsTable)
	webhooks.Post("pretix/speicalEventRoles", controller.PostPretixSpecialEventWithRoles)
	apiv1.Post("/login", controller.LoginUser)
	apiv1.Get("/event", controller.ReturnAllEventsPublic)
	apiv1.Get("/ping", controller.Ping)
	attendies.Get("/:name", controller.GetAttendiesByEventPublic)
}
