package service

import (
	"errors"

	"ulmer-furs.de/pretix-proxy/v2/config"
	"ulmer-furs.de/pretix-proxy/v2/entities"
)

func Create_User(user *entities.User) error {
	result := config.Database.Create(&user)
	if result.Error != nil {
		return result.Error
	}
	return nil
}

func GetUserByEmail(email string) (entities.User, error) {
	var user entities.User
	result := config.Database.Where("email = ?", email).First(&user)
	if result.RowsAffected == 0 {
		return user, errors.New("user not found")
	}
	return user, nil
}
