package util

import (
	"time"

	"github.com/golang-jwt/jwt/v5"
	"ulmer-furs.de/pretix-proxy/v2/config"
	"ulmer-furs.de/pretix-proxy/v2/entities"
)

func CreateToken(user *entities.User) (string, error) {
	day := time.Hour * 24
	claims := jwt.MapClaims{
		"email": user.Email,
		"exp":   time.Now().Add(day * 1).Unix(),
	}
	token := jwt.NewWithClaims(jwt.SigningMethodHS256, claims)
	t, err := token.SignedString([]byte(config.Env.Secret))
	if err != nil {
		return "", jwt.ErrTokenUnverifiable
	}
	return t, nil
}
