package util

import (
	"fmt"
	"strings"

	"ulmer-furs.de/pretix-proxy/v2/config"
)

func Validate(data interface{}) (bool, string) {
	if errs := config.Validator.Validate(data); len(errs) > 0 && errs[0].Error {
		errMsgs := make([]string, 0)
		for _, err := range errs {
			errMsgs = append(errMsgs, fmt.Sprintf(
				"[%s]: '%v' | Needs to implement '%s'",
				err.FailedField,
				err.Value,
				err.Tag,
			))
			return true, strings.Join(errMsgs, " and ")
		}
	}
	return false, ""
}
