package config

import (
	"log"

	"github.com/caarlos0/env"
	"github.com/joho/godotenv"
	"ulmer-furs.de/pretix-proxy/v2/entities"
)

var Env entities.Environment

func LoadEnv() {
	err := godotenv.Load()
	if err != nil {
		log.Printf("unable to load .env file: %e", err)
	}
	err = env.Parse(&Env)
	if err != nil {
		log.Fatalf("unable to parse ennvironment variables: %e", err)
	}
}
