package config

import (
	"embed"
	"net/http"

	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/middleware/filesystem"
	"github.com/gofiber/template/html/v2"
)

var App *fiber.App

func SetupFiber(viewFS embed.FS, staticFS embed.FS) {
	engine := html.NewFileSystem(http.FS(viewFS), ".html")
	App = fiber.New(fiber.Config{
		Views: engine,
	})
	App.Use("/static", filesystem.New(filesystem.Config{
		Root:       http.FS(staticFS),
		PathPrefix: "app/static",
		Browse:     true,
	}))
}
