package entities

import (
	"time"

	"gorm.io/gorm"
)

type ByRegistrationTime AttendiesList

func (a ByRegistrationTime) Len() int {
	return len(a)
}

func (a ByRegistrationTime) Less(i, j int) bool {
	return a[i].RegistrationTime.Unix() < a[j].RegistrationTime.Unix()
}

func (a ByRegistrationTime) Swap(i, j int) {
	a[i], a[j] = a[j], a[i]
}

type Db_Attendies struct {
	gorm.Model
	Nickname          string `gorm:"column:nickname;not null"`
	EventID           int    `gorm:"not null"`
	Event             *Db_Event
	RoleID            int `gorm:""`
	Role              *Role
	AttendsRestaurant bool      `gorm:"column:attends_restaurant;not null;default:false"`
	AttendsBar        bool      `gorm:"attends_restaurant;not null;default:false"`
	Privacy           bool      `gorm:"column:privacy;not null;default:false"`
	RegistrationTime  time.Time `gorm:"column:registration_time;not null;default:CURRENT_TIMESTAMP"`
	OnWaitingList     bool      `gorm:"column:on_wating_list;not null;default:false"`
}
