package entities

import (
	"gorm.io/gorm"
)

type Db_Event struct {
	gorm.Model
	Name                     *string `gorm:"column:name;unique;not null" validate:"required"`
	Organizer                *string `gorm:"column:organizer;not null" validate:"required"`
	Event                    *string `gorm:"column:event;not null" validate:"required"`
	ItemIdBadge              *int    `gorm:"column:item_id_badge"`
	ItemIdRestaurant         *int    `gorm:"column:item_id_restaurant"`
	ItemIdBar                *int    `gorm:"column:item_id_bar"`
	ItemIdParticipation      *int    `gorm:"column:item_id_participation"`
	ItemIdRole               *int    `gorm:"column:item_id_role"`
	QuestionIdRole           *string `gorm:"column:question_id_role"`
	QuestionIdName           *string `gorm:"column:question_id_name"`
	QuestionIdPrivacy        *string `gorm:"column:question_id_is_private"`
	OptionIdSuiter           *string `gorm:"column:option_id_suiter"`
	OptionIdGuest            *string `gorm:"column:option_id_guest"`
	OptionIdSpotter          *string `gorm:"column:option_id_spotter"`
	OptionIdPhotograph       *string `gorm:"column:option_id_photograph"`
	OptionIdSpecialAnimal    *string `gorm:"column:option_id_special_animal"`
	VariationIdSuiter        *int    `gorm:"variation_id_suiter"`
	VariationIdGuest         *int    `gorm:"variation_id_guest"`
	VariationIdSpotter       *int    `gorm:"variation_id_spotter"`
	VariationIdPhotograph    *int    `gorm:"variation_id_photograph"`
	VariationIdSpecialAnimal *int    `gorm:"variation_id_special_animal"`
	EventType                *string `gorm:"cloumn:event_type;not null" validate:"required"`
	SuiterPerSpotter         *int    `gorm:"column:suiter_per_spotter;not null;default:5"`
}

type Db_Event_Public struct {
	Name      string
	Organizer string
	Event     string
}
