package entities

import "time"

type Pretix_Event struct {
	Count   int             `json:"count"`
	Results []Pretix_Result `json:"results"`
	Next    *string         `json:"next"`
}

type Pretix_Result struct {
	Status    string            `json:"status"`
	Positions []Pretix_Position `json:"positions"`
	Datetime  time.Time         `json:"datetime"`
}

type Pretix_Position struct {
	Item         int             `json:"item"`
	AttendieName string          `json:"attendee_name"`
	Variation    int             `json:"variation"`
	Answers      []Pretix_Answer `json:"answers"`
}

type Pretix_Answer struct {
	QuestionsIdentififer string   `json:"question_identifier"`
	Answer               string   `json:"answer"`
	OptionIdentifiers    []string `json:"option_identifiers"`
}
